<?php
/* $Id: concession.class.php,v 1.37 2009-01-21 22:32:21 fraynaud Exp $
*/
require_once ("emplacement.class.php");
require_once ($path_om."formulairedyn.class.php");

class concession extends emplacement{

var $nature="concession";

function concession($id,&$db,$DEBUG) {
$this->constructeur($id,$db,$DEBUG);
} // fin constructeur  [end constructor]

function setvalF($val){
$this->valF['emplacement'] = $val['emplacement'];
$this->valF['nature'] = $val['nature'];
$this->valF['numero'] = $val['numero'];
$this->valF['complement'] = $val['complement'];
$this->valF['voie'] = $val['voie'];
$this->valF['numerocadastre'] = $val['numerocadastre'];
$this->valF['famille'] = $val['famille'];
$this->valF['numeroacte'] = $val['numeroacte'];
if($val['datevente']!="")
    $this->valF['datevente'] = $this->dateDB($val['datevente']);
$this->valF['terme'] = $val['terme'];
$this->valF['duree'] = $val['duree'];
if($val['dateterme']!="")
    $this->valF['dateterme'] = $this->dateDB($val['dateterme']);
$this->valF['nombreplace'] = $val['nombreplace'];
$this->valF['placeoccupe'] = $val['placeoccupe'];
$this->valF['sepulturetype'] = $val['sepulturetype'];
$this->valF['superficie'] = $val['superficie'];
$this->valF['placeconstat'] = $val['placeconstat'];
if($val['dateconstat']!="")
    $this->valF['dateconstat'] = $this->dateDB($val['dateconstat']);
$this->valF['observation'] = $val['observation'];
$this->valF['positionx'] = $val['positionx'];
$this->valF['positiony'] = $val['positiony'];
$this->valF['photo'] = $val['photo'];
$this->valF['plans'] = $val['plans'];
$this->valF['libre'] = $val['libre'];
// temp
$this->valF['temp1'] = $val['temp1'];
$this->valF['temp2'] = $val['temp2'];
$this->valF['temp3'] = $val['temp3'];
$this->valF['temp4'] = $val['temp4'];
$this->valF['temp5'] = $val['temp5'];
}

function verifier($val,&$db,$DEBUG){
$f="&nbsp!&nbsp;&nbsp;&nbsp;&nbsp;";
$imgv="<img src='../img/punaise.png' style='vertical-align:middle' hspace='2' border='0'>";
parent :: verifier();
// verification donnees real non vide (GI/compatibilite postgresql)
// Check data real not empty (compatibility postgresql)
if ($val['duree']=="" or is_null($val['duree']))
   $this->valF['duree'] = 0;
if ($val['placeoccupe']=="" or is_null($val['placeoccupe']))
   $this->valF['placeoccupe'] = 0;
if ($val['nombreplace']=="" or is_null($val['nombreplace']))
   $this->valF['nombreplace'] = 0;
if ($val['superficie']=="" or is_null($val['superficie']))
   $this->valF['superficie'] = 0;
if ($val['placeconstat']=="" or is_null($val['placeconstat']))
   $this->valF['placeconstat'] = 0;
// verif voie [verify street]
if($this->correct)
	$this->verifierVoie($val,$db,$DEBUG);
} // verifier() [end verify()]

function setType(&$form,$maj) {
include ("../dyn/var.inc");
// compatibilit� ascendante version 1.07+
if(!isset($photo_concession)) $photo_concession=0;
if ($maj < 2) { //ajouter et modifier
  $form->setType('complement', 'select');
  $form->setType('terme', 'select');
  $form->setType('plans', 'select');
  $form->setType('sepulturetype', 'select');
  $form->setType('observation', 'textarea');
  $form->setType('datevente','date');
  $form->setType('dateterme','hiddenstaticdate');
  $form->setType('dateconstat','date');
  $form->setType('nature', 'hiddenstatic');
  //temp
  $form->setType('temp1',$temp1_type);
  $form->setType('temp2',$temp2_type);
  $form->setType('temp3',$temp3_type);
  $form->setType('temp4',$temp4_type);
  $form->setType('temp5',$temp5_type);
  if ($photo_concession==1)
     $form->setType('photo', 'hidden');
  else
     $form->setType('photo', 'upload');
  $form->setType('positiony', 'localisation');
  $form->setType('voielib','comboC');
  $form->setType('voie','comboD');
  $form->setType('placeoccupe','hiddenstatic');
  $form->setType('libre','select');
  if($maj==0){
      $form->setType('emplacement', 'hidden');
      $form->setType('sig','hidden');
  }else{
      $form->setType('emplacement', 'hiddenstatic');
      $form->setType('sig','http');
  }
}else{ // supprimer
     $form->setType('emplacement', 'hiddenstatic');
     $form->setType('famille', 'hiddenstatic');
     $form->setType('terme', 'hiddenstatic');
     $form->setType('dateterme', 'hiddenstatic');
}}

function setTaille(&$form,$maj){
    include ("../dyn/var.inc");
//parent::setTaille($form,$maj);
$form->setTaille('emplacement', 8);
$form->setTaille('voie', 4);
$form->setTaille('numero', 8);
$form->setTaille('complement', 3);
$form->setTaille('voielib', '40');
$form->setTaille('famille', 20);
$form->setTaille('observation', 70);
$form->setTaille('plans', 20);
$form->setTaille('nombreplace', 3);
$form->setTaille('placeoccupe', 3);
$form->setTaille('superficie', 3);
$form->setTaille('datevente', 12);
$form->setTaille('dateterme', 12);
$form->setTaille('dateconstat', 12);
//temp
$form->setTaille('temp1', $temp1_taille);
$form->setTaille('temp2', $temp2_taille);
$form->setTaille('temp3', $temp3_taille);
$form->setTaille('temp4', $temp4_taille);
$form->setTaille('temp5', $temp5_taille);
}
function setMax(&$form,$maj){
    include ("../dyn/var.inc");
//parent::setMax($form,$maj);
$form->setMax('emplacement',8 );
$form->setMax('voie', 8);
$form->setMax('numero', 8);
$form->setMax('complement', 6);
$form->setMax('voielib', 60);
$form->setMax('numerocadastre', 8);
$form->setMax('numeroacte', 8);
$form->setMax('famille', 40);
$form->setMax('placeoccupe', 8);
$form->setMax('observation', 5);
//temp
$form->setMax('temp1', $temp1_max );
$form->setMax('temp2', $temp2_max  );
$form->setMax('temp3', $temp3_max  );
$form->setMax('temp4', $temp4_max );
$form->setMax('temp5', $temp5_max );
}

function setSelect(&$form, $maj,&$db,$debug) {
parent :: setSelect($form, $maj,$db,$debug);
if($maj<2){
include ("../dyn/connexion.php");
include ("../sql/".$dsn['phptype']."/".$this->table.".form.inc");
//plans
$contenu=array();
$res = $db->query($sql_plans);
if (DB :: isError($res))
     die($res->getMessage().$sql_plans);
else{
 if ($debug == 1)
   echo " la requete ".$sql_plans." est ex�cut�e<br>";
   $contenu[0][0]="";
   $contenu[1][0]=$this->lang('choisir')." ".$this->lang('plans');
   $k=1;
   while ($row=& $res->fetchRow()){
    $contenu[0][$k]=$row[0];
    $contenu[1][$k]=$row[0];
    $k++;
   }
$form->setSelect("plans",$contenu);
}
// terme
$contenu=array();
$contenu[0]=array('',"perpetuite",'temporaire');
$contenu[1]=array('',$this->lang("perpetuite"),$this->lang("temporaire"));
$form->setSelect("terme",$contenu);
// libre
$contenu=array();
$contenu[0]=array('Non','Oui');
$contenu[1]=array($this->lang("Non"),$this->lang("Oui"));
$form->setSelect("libre",$contenu);
// position geographique
$contenu=array();
$contenu[0]=array('plans','positionx');
$form->setSelect("positiony",$contenu);
// sepulturetype
include ("../dyn/var.inc");
$contenu=array();
$contenu[0]=$select_sepulture;
$contenu[1]=$select_sepulture;
$form->setSelect("sepulturetype",$contenu);
}
}

function setGroupe(&$form,$maj){
$form->setGroupe('numerocadastre','D');
$form->setGroupe('famille','F');

$form->setGroupe('numero','D');
$form->setGroupe('complement','G');
$form->setGroupe('voie','G');
$form->setGroupe('voielib','F');

$form->setGroupe('numeroacte','D');
$form->setGroupe('datevente','F');

$form->setGroupe('terme','D');
$form->setGroupe('duree','G');
$form->setGroupe('dateterme','F');

$form->setGroupe('placeconstat','D');
$form->setGroupe('dateconstat','G');
$form->setGroupe('sepulturetype','F');

$form->setGroupe('nombreplace','D');
$form->setGroupe('placeoccupe','G');
$form->setGroupe('superficie','F');

$form->setGroupe('plans','D');
$form->setGroupe('positionx','G');
if($maj==1){
    $form->setGroupe('positiony','G');
    $form->setGroupe('sig','F');
}else
    $form->setGroupe('positiony','F');
// 1.08
include ("../dyn/var.inc");
// compatibilit� ascendante version 1.07+  [compatibility old version]
if(!isset($photo_concession)) $photo_concession=0;
if($photo_concession==0){
    $form->setGroupe('photo','D');
    $form->setGroupe('libre','F');
}}
function setLib(&$form,$maj) {
parent :: setLib($form,$maj);
// compatibilit� ascendante version 1.07 - [compatibility old version]
include ("../dyn/var.inc");
if(!isset($photo_concession)) $photo_concession=0;
if($photo_concession==0)
    $form->setLib('libre',' ['.$this->lang("libre").'] ');
//
  $form->setLib('complement','');
  $form->setLib('voie','    '.$this->lang("voie"));
  $form->setLib('voielib',' ');
  $form->setLib('datevente',' '.$this->lang("datevente").' ');
  $form->setLib('dateterme',' '.$this->lang("dateterme").' ');
  $form->setLib('placeconstat',' '.$this->lang("placeconstat").' ');
  $form->setLib('positionx',' [X] ');
  $form->setLib('positiony',' [Y] ');
  $form->setLib('sig',"");
// zones temp
      $form->setLib('temp1',$temp1_lib);
      $form->setLib('temp2',$temp2_lib);
      $form->setLib('temp3',$temp3_lib);
      $form->setLib('temp4',$temp4_lib);
      $form->setLib('temp5',$temp5_lib);
}

function setRegroupe(&$form,$maj){
$form->setRegroupe('numerocadastre','D',' '.$this->lang('acte_concession').' ');
$form->setRegroupe('famille','G','');
$form->setRegroupe('numeroacte','G','');
$form->setRegroupe('datevente','G','');
$form->setRegroupe('terme','G','');
$form->setRegroupe('duree','G','');
$form->setRegroupe('dateterme','F','');

$form->setRegroupe('numero','D',' '.$this->lang('adresse').' ');
$form->setRegroupe('complement','G','');
$form->setRegroupe('voie','G','');
$form->setRegroupe('voielib','F','');

$form->setRegroupe('nombreplace','D',' '.$this->lang("gestion_place").' ');
$form->setRegroupe('placeoccupe','G','');
$form->setRegroupe('sepulturetype','F','');
$form->setRegroupe('superficie','G','');
$form->setRegroupe('placeconstat','G','');
$form->setRegroupe('dateconstat','G','');

if($maj==1){
    $form->setRegroupe('plans','D',' '.$this->lang("croquis_sig").' ');
    $form->setRegroupe('positionx','G','');
    $form->setRegroupe('positiony','G','');
    $form->setRegroupe('sig','F','');
}else{
    $form->setRegroupe('plans','D',' '.$this->lang("croquis").' ');
    $form->setRegroupe('positionx','G','');
    $form->setRegroupe('positiony','F','');
}}

function triggerajouter($id,&$db,$val,$DEBUG) {
$this->calculdatefin($id,$db,$val,$DEBUG);
}
function triggermodifier($id,&$db,$val,$DEBUG) {
$this->calculdatefin($id,$db,$val,$DEBUG);
}

}// fin de classe
?>