<?php
session_name('opencimetiere');
session_start();
//$Id: pdflettretype_ligne.php,v 1.1 2008-12-29 12:45:49 jbastide Exp $;
//modif joel hohweiller le 18 decembre 2008
//balises html possibles dans une lettre type:
//<B>  </B> gras
//<I>  </I> italique
//<U>  </U> souligne
//<L>  </L> alignement texte a gauche
//<C>  </C> alignement texte centre
//<R>  </R> alignement texte a droite
//<J>  </J> alignement texte justifie
// ne pas utiliser le cadre en cas d'utilisation de balises (un cadre a chaque balise)
set_time_limit(180);
include("../dyn/var.inc");
define('FPDF_FONTPATH','font/');
require($path_fpdf.'fpdf.php');
require($path_pear.'DB.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;
var $attribut;
var $align;

function PDF($orientation='P',$unit='mm',$format='A4')
{
    //Appel au constructeur parent
    $this->FPDF($orientation,$unit,$format);
    //Initialisation
    $this->B=0;
    $this->I=0;
    $this->U=0;
    $this->HREF='';
    $this->align='';
}

function WriteHTML($margeG,$largeur,$hauteur,$font,$attribut,$taille,$html,$bordure,$alignement)
{
    //Parseur HTML
    //$html=str_replace("\n",' ',$html);
    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
    $this->SetFont($font, $attribut, $taille);
    $this->align=$alignement;
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            //Texte
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
                //$this->Write(5,$e);
                $this->SetLeftMargin($margeG);
                $this->MultiCell($largeur,$hauteur,$e,$bordure,$this->align);
        }
        else
        {
            //Balise
            if($e{0}=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                //Extraction des attributs
                $a2=explode(' ',$e);
                $tag=strtoupper(array_shift($a2));
                $attr=array();
                foreach($a2 as $v)
                {
                    if(preg_match('/([^=]*)=["\']?([^"\']*)/',$v,$a3))
                        $attr[strtoupper($a3[1])]=$a3[2];
                }
                $this->OpenTag($tag,$attr,$attribut);
            }
        }
    }
}

function OpenTag($tag,$attr,$attribut)
{
    //Balise ouvrante
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,true,$attribut);
    if($tag=='A')
        $this->HREF=$attr['HREF'];
    if($tag=='BR')
        $this->Ln(5);
    if($tag=='L' or $tag=='C' or $tag=='R' or $tag=='J')
        $this->align=$tag;  
}

function CloseTag($tag)
{
    //Balise fermante
    $tmp=false;
    $attribut="";
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,$tmp,$attribut);
    if($tag=='A')
        $this->HREF='';
    if($tag=='L' or $tag=='C' or $tag=='R' or $tag=='J')
        $this->align=$alignement;
}

function SetStyle($tag,$enable,$attribut)
{
    //Modifie le style et slectionne la police correspondante
    $this->$tag+=($enable ? 1 : -1);
    $style= $attribut;
    foreach(array('B','I','U') as $s)
        if($this->$s>0)
            $style.=$s;
    $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
    //Place un hyperlien
    $this->SetTextColor(0,0,255);
    $this->SetStyle('U',true);
    $this->Write(5,$txt,$URL);
    $this->SetStyle('U',false);
    $this->SetTextColor(0);
}
//Pied de page
  function Footer()
  {
      // NUMERO DE PAGE

      //Positionnement  1,5 cm du bas
      $this->SetY(-15);
      // Police Arial italique 8
      $this->SetFont('Arial','I',8);
      // Numro de page
      $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
  }
}

// connexion
include ("../dyn/connexion.php");
$DEBUG=0;
// dsn
$db=& DB :: connect($dsn, $db_option);
if (DB :: isError($db))
    die($db->getMessage());
else{
    if($DEBUG==1)
    echo "La base ".$dsn['database']." est connecte.<br>";
}
// parametre generaux
$res = $db->query($sql_collectivite);
if (DB :: isError($res))
   die($res->getMessage()."erreur ".$sql_collectivite);
else{
   while ($row=& $res->fetchRow()){
              $ville=$row[0];
              $logo=$row[1];
              $nom=$row[2];
}}
$res->free();
if(isset($_GET['idx']))
    $idx=$_GET['idx'];
else
    $idx="";  //***

$sql_courrier="select * from courrier where courrier=".$idx;
$res = $db->query($sql_courrier);
if (DB :: isError($res))
   die($res->getMessage()."erreur ".$sql_courrier);
else{
   while ($row=& $res->fetchRow(DB_FETCHMODE_ASSOC)){
              $obj=$row['lettretype'];
              $destinataire=$row['destinataire'];  // ***
              $datecourrier=$row['datecourrier'];
              $complement=$row['complement'];

}}
$res->free();
// format date
if ($formatDate=="AAAA-MM-JJ"){
       $valTemp=explode("-",$datecourrier);
       $datecourrier= $valTemp[2]."/".$valTemp[1]."/".$valTemp[0];
}
//if ($formatDate=="JJ/MM/AAAA"){
//}
    if (isset($langue)){
        if (file_exists("../sql/".$dsn['phptype']."/".$langue."/".$obj.".lettretype.inc"))
           include ("../sql/".$dsn['phptype']."/".$langue."/".$obj.".lettretype.inc");
    }else{
         if (file_exists ("../sql/".$dsn['phptype']."/".$obj.".lettretype.inc"))
           include ("../sql/".$dsn['phptype']."/".$obj.".lettretype.inc");
    }


$html='Vous pouvez maintenant imprimer facilement du texte mlangeant diffrents styles : <b>gras</b>,
<i>italique</i>, <u>soulign</u>, ou <b><i><u>tous  la fois</u></i></b> !<br><br>Vous pouvez aussi
insrer des liens sous forme textuelle, comme <a href="http://www.fpdf.org">www.fpdf.org</a>, ou bien
sous forme d\'image : cliquez sur le logo.';

$pdf=new PDF();
// methode fpdf calcul nombre de page
$pdf->AliasNbPages();

//Premire page
$pdf->AddPage();
$pdf->Image("../trs/".$_SESSION['coll']."/".$lettretype["logo"],
            $lettretype["logoleft"],
            $lettretype["logotop"],
            0,
            0,
            '',
            '');
            
// variables statiques
$sql=$lettretype['sql'];
$titre= $lettretype["titre"];
$corps= $lettretype["corps"];
include("../dyn/varlettretypepdf.inc");
$res = $db->query($sql);
if (DB :: isError($res))
   die($res->getMessage()."erreur ".$sql);
else
{
    while ($row=& $res->fetchRow(DB_FETCHMODE_ASSOC))
    {
        // titre
        
        $temp = explode("[",$lettretype["titre"]);
        for($i=1;$i<sizeof($temp);$i++){
            $temp1 = explode("]",$temp[$i]);
            $titre=str_replace("[".$temp1[0]."]",$row[$temp1[0]],$titre);
            $temp1[0]="";
        }
        if(trim($titre)!="") 
        {
            $pdf->SetFont($lettretype["titrefont"],
                     $lettretype["titreattribut"],
                     $lettretype["titretaille"]);
            $pdf->SetXY($lettretype["titreleft"],$lettretype["titretop"]);
            //********************************************************************************
            //parametres pour writehtml
            //$pdf->writehtml(marge gauche,
            //        largeur de la cellule
            //        hauteur de la cellule,
            //        chaine texte soit titre soit corps de lettre,
            //        avec cadre 1 ou sans cadre 0,
            //        position du texte dans la cellule ( L : alignement  gauche,
            //                                            C : centrage
            //                                            R : alignement  droite
            //                                            J : justification (valeur par dfaut)
            //*********************************************************************************
            $pdf->Writehtml($lettretype["titreleft"],
                            $lettretype['titrelargeur'],
                            $lettretype['titrehauteur'],
                            $lettretype["titrefont"],
                            $lettretype["titreattribut"],
                            $lettretype["titretaille"],
                            $titre,
                            $lettretype['titrebordure'],
                            $lettretype['titrealign']);
        }
        //corps
        $temp = explode("[",$lettretype["corps"]);
        for($i=1;$i<sizeof($temp);$i++){
            $temp1 = explode("]",$temp[$i]);
            $corps=str_replace("[".$temp1[0]."]",$row[$temp1[0]],$corps);
            $temp1[0]="";
        }
        if(trim($corps)!="") 
        {
            $pdf->SetFont($lettretype["corpsfont"],
                     $lettretype["corpsattribut"],
                     $lettretype["corpstaille"]);
            $pdf->SetXY($lettretype["corpsleft"],$lettretype["corpstop"]);
            //********************************************************************************
            //parametres pour writehtml
            //$pdf->writehtml(marge gauche,
            //        largeur de la cellule
            //        hauteur de la cellule,
            //        chaine texte soit titre soit corps de lettre,
            //        avec cadre 1 ou sans cadre 0,
            //        position du texte dans la cellule ( L : alignement  gauche,
            //                                            C : centrage
            //                                            R : alignement  droite
            //                                            J : justification (valeur par dfaut)
            //*********************************************************************************
            $pdf->Writehtml($lettretype["corpsleft"],
                            $lettretype["corpslargeur"],
                            $lettretype["corpshauteur"],
                            $lettretype["corpsfont"],
                            $lettretype["corpsattribut"],
                            $lettretype["corpstaille"],
                            $corps,
                            $lettretype['corpsbordure'],
                            $lettretype['corpsalign']);
        }
    }
}

$pdf->Output();
?>