
-- suppression des zones de transferts logicime

-- emplacement
ALTER TABLE `emplacement`   DROP `t_concession`;
ALTER TABLE `emplacement`   DROP `t_emp1`;
ALTER TABLE `emplacement`   DROP `t_emp2`;
ALTER TABLE `emplacement`   DROP `t_emp3`;
ALTER TABLE `emplacement`   DROP `t_dimension`;
ALTER TABLE `emplacement`   DROP `t_nature`;
-- defunt
ALTER TABLE `defunt` DROP `temp` ;
ALTER TABLE `defunt`   DROP `t_concession`;
-- autorisation
ALTER TABLE `autorisation`
  DROP `t_concession`  DROP `temp`;

-- historique defunt et traitement fin concession
ALTER TABLE `defunt` ADD `historique` LONGTEXT NOT NULL;
ALTER TABLE `emplacement` ADD `libre` VARCHAR( 3 ) NOT NULL;

-- archives

CREATE TABLE `autorisation_archive` (
`autorisation` int( 8 ) NOT NULL default '0',
`emplacement` int( 8 ) NOT NULL default '0',
`nature` varchar( 15 ) NOT NULL default '',
`titre` varchar( 4 ) NOT NULL default '',
`nom` varchar( 40 ) NOT NULL default '',
`marital` varchar( 40 ) NOT NULL default '',
`prenom` varchar( 40 ) NOT NULL default '',
`datenaissance` date NOT NULL default '0000-00-00',
`adresse1` varchar( 40 ) NOT NULL default '',
`adresse2` varchar( 40 ) NOT NULL default '',
`cp` varchar( 5 ) NOT NULL default '',
`ville` varchar( 40 ) NOT NULL default '',
`telephone` varchar( 15 ) NOT NULL default '',
`dcd` char( 3 ) NOT NULL default '',
`parente` varchar( 15 ) NOT NULL default '',
`observation` longtext NOT NULL ,
PRIMARY KEY ( `autorisation` ) 
);
CREATE TABLE `defunt_archive` (
`defunt` int( 8 ) NOT NULL default '0',
`nature` varchar( 15 ) NOT NULL default 'cercueil',
`taille` float NOT NULL default '0',
`emplacement` int( 8 ) NOT NULL default '0',
`titre` varchar( 4 ) NOT NULL default 'Mr',
`nom` varchar( 40 ) NOT NULL default '',
`prenom` varchar( 40 ) NOT NULL default '',
`marital` varchar( 40 ) NOT NULL default '',
`datenaissance` date NOT NULL default '0000-00-00',
`datedeces` date NOT NULL default '0000-00-00',
`lieudeces` varchar( 40 ) NOT NULL default '',
`dateinhumation` date NOT NULL default '0000-00-00',
`exhumation` char( 3 ) NOT NULL default '',
`dateexhumation` date NOT NULL default '0000-00-00',
`observation` longtext NOT NULL ,
`reduction` char( 3 ) NOT NULL default '',
`datereduction` date NOT NULL default '0000-00-00',
`historique` longtext NOT NULL ,
PRIMARY KEY ( `defunt` ) 
) ;
CREATE TABLE `emplacement_archive` (
`emplacement` int( 8 ) NOT NULL default '0',
`nature` varchar( 20 ) NOT NULL default '',
`numero` int( 8 ) NOT NULL default '0',
`complement` varchar( 6 ) NOT NULL default '',
`voie` int( 8 ) NOT NULL default '0',
`numerocadastre` varchar( 15 ) NOT NULL default '',
`famille` varchar( 40 ) NOT NULL default '',
`numeroacte` varchar( 15 ) NOT NULL default '',
`datevente` date NOT NULL default '0000-00-00',
`terme` varchar( 20 ) NOT NULL default '0',
`duree` int( 8 ) NOT NULL default '0',
`dateterme` date NOT NULL default '0000-00-00',
`nombreplace` float NOT NULL default '0',
`placeoccupe` float NOT NULL default '0',
`superficie` float NOT NULL default '0',
`placeconstat` float NOT NULL default '0',
`dateconstat` date NOT NULL default '0000-00-00',
`observation` longtext NOT NULL ,
`plans` varchar( 30 ) NOT NULL default '',
`positionx` int( 8 ) NOT NULL default '10',
`positiony` int( 8 ) NOT NULL default '10',
`photo` varchar( 20 ) NOT NULL default '',
`libre` char( 3 ) NOT NULL default '',
PRIMARY KEY ( `emplacement` ) 
);
CREATE TABLE `travaux_archive` (
`idtravaux` int( 8 ) NOT NULL default '0',
`idintervenant` int( 8 ) NOT NULL default '0',
`emplacement` int( 8 ) NOT NULL default '0',
`datedebinter` date NOT NULL default '0000-00-00',
`datefininter` date NOT NULL default '0000-00-00',
`observation` longtext NOT NULL ,
`naturedemandeur` varchar( 20 ) NOT NULL default '',
`naturetravaux` varchar( 40 ) NOT NULL default '',
PRIMARY KEY ( `idtravaux` ) 
);
CREATE TABLE `courrier_archive` (
`courrier` int( 8 ) NOT NULL default '0',
`destinataire` int( 8 ) NOT NULL default '0',
`datecourrier` date NOT NULL default '0000-00-00',
`lettretype` varchar( 40 ) NOT NULL default '',
`complement` longtext NOT NULL ,
`emplacement` int( 8 ) NOT NULL default '0',
PRIMARY KEY ( `courrier` ) 
);



