# --------------------------------------------------------

#
# Structure de la table `temp_autorisation`
#

CREATE TABLE `temp_autorisation` (
  `id` int(8) NOT NULL default '0',
  `emplacement` int(8) NOT NULL default '0',
  `autorisation` int(8) NOT NULL default '0',
  `nature` varchar(15) NOT NULL default '',
  `titre` varchar(4) NOT NULL default '',
  `nom` varchar(40) NOT NULL default '',
  `marital` varchar(40) NOT NULL default '',
  `prenom` varchar(40) NOT NULL default '',
  `datenaissance` varchar(10) NOT NULL default '',
  `numero` varchar(10) NOT NULL default '',
  `complement` varchar(15) NOT NULL default '',
  `adresse1` varchar(80) NOT NULL default '',
  `adresse2` varchar(80) NOT NULL default '',
  `cp` varchar(5) NOT NULL default '',
  `ville` varchar(40) NOT NULL default '',
  `telephone` varchar(15) NOT NULL default '',
  `dcd` char(3) NOT NULL default '',
  `parente` varchar(15) NOT NULL default '',
  `temp_emplacement` varchar(80) NOT NULL default '',
  `temp_cimetiere` varchar(10) NOT NULL default '',
  `verrou` char(3) NOT NULL default 'Non',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
    
# --------------------------------------------------------

#
# Structure de la table `temp_defunt`
#

CREATE TABLE `temp_defunt` (
  `id` int(8) NOT NULL default '0',
  `defunt` int(8) NOT NULL default '0',
  `nature` varchar(15) NOT NULL default '',
  `taille` float NOT NULL default '0',
  `emplacement` int(8) NOT NULL default '0',
  `titre` varchar(4) NOT NULL default '',
  `nom` varchar(40) NOT NULL default '',
  `prenom` varchar(40) NOT NULL default '',
  `marital` varchar(40) NOT NULL default '',
  `datenaissance` varchar(10) NOT NULL default '',
  `datedeces` varchar(10) NOT NULL default '',
  `lieudeces` varchar(40) NOT NULL default '',
  `dateinhumation` varchar(10) NOT NULL default '',
  `exhumation` char(3) NOT NULL default '',
  `dateexhumation` varchar(10) NOT NULL default '',
  `observation` longtext NOT NULL,
  `reduction` char(3) NOT NULL default '',
  `datereduction` varchar(10) NOT NULL default '',
  `temp_emplacement` varchar(80) NOT NULL default '',
  `temp_cimetiere` int(8) NOT NULL default '0',
  `verrou` char(3) NOT NULL default 'Non',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Structure de la table `temp_emplacement`
#

CREATE TABLE `temp_emplacement` (
  `id` int(8) NOT NULL default '0',
  `emplacement` int(8) NOT NULL default '0',
  `nature` varchar(20) NOT NULL default '',
  `numero` int(8) NOT NULL default '0',
  `complement` varchar(6) NOT NULL default '',
  `voie` int(8) NOT NULL default '0',
  `numerocadastre` varchar(15) NOT NULL default '',
  `famille` varchar(40) NOT NULL default '',
  `numeroacte` varchar(15) NOT NULL default '',
  `datevente` varchar(10) NOT NULL default '',
  `terme` varchar(15) NOT NULL default '0',
  `duree` varchar(15) NOT NULL default '0',
  `dateterme` varchar(10) NOT NULL default '',
  `nombreplace` float NOT NULL default '0',
  `placeoccupe` float NOT NULL default '0',
  `superficie` float NOT NULL default '0',
  `placeconstat` float NOT NULL default '0',
  `dateconstat` varchar(10) NOT NULL default '',
  `observation` longtext NOT NULL,
  `plans` varchar(30) NOT NULL default '',
  `positionx` int(8) NOT NULL default '10',
  `positiony` int(8) NOT NULL default '10',
  `photo` varchar(80) NOT NULL default '',
  `p_dossier` varchar(15) NOT NULL default '',
  `acteconcession` varchar(40) NOT NULL default '',
  `d_dossier1` varchar(15) NOT NULL default '',
  `fichemanuelle` varchar(40) NOT NULL default '',
  `d_dossier2` varchar(15) NOT NULL default '',
  `archive` varchar(40) NOT NULL default '',
  `d_dossier3` varchar(15) NOT NULL default '',
  `libre` char(3) NOT NULL default '',
  `sepulturetype` varchar(30) NOT NULL default '',
  `temp_emplacement` varchar(80) NOT NULL default '',
  `temp_zone` varchar(80) NOT NULL default '',
  `temp_voie` varchar(80) NOT NULL default '',
  `temp_numero` varchar(80) NOT NULL default '',
  `temp_cimetiere` varchar(80) NOT NULL default '',
  `verrou` char(3) NOT NULL default 'Non',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
    