<?php
/*
$Id: dossier.class.php,v 1.13 2008-08-28 15:38:21 fraynaud Exp $
*/
require_once ($path_om."formulairedyn.class.php");
require_once ($path_om."dbformdyn.class.php");

class dossier extends dbForm {
    var $table="dossier";
    var $clePrimaire= "dossier";
    var $typeCle= "N" ;


function dossier($id,&$db,$DEBUG) {
$this->constructeur($id,$db,$DEBUG);
}

function setvalF($val){
$this->valF['dossier']=$val['dossier'];
$this->valF['fichier'] = $val['fichier'];
$this->valF['emplacement'] = $val['emplacement'];
if($val['datedossier']!="")
    $this->valF['datedossier'] = $this->dateDB($val['datedossier']);
$this->valF['typedossier'] = $val['typedossier'];
$this->valF['observation'] = $val['observation'];
}

function setValFAjout($val){
}

function setId($db){
$this->valF['dossier'] = $db->nextId($this->table);
}

function verifierAjout(){
}

function verifier(){
$this->correct=True;
$f="&nbsp!&nbsp;&nbsp;&nbsp;&nbsp;";
$imgv="<img src='../img/punaise.png' style='vertical-align:middle' hspace='2' border='0'>";
if ($this->valF['fichier']==""){
     $this->correct=false;
     $this->msg= $this->msg.$imgv.$this->lang("fichier")."&nbsp;".
     $this->lang("obligatoire").$f;
}}

function setType(&$form,$maj) {
if ($maj < 2) {
  $form->setType('dossier','hiddenstatic');
  $form->setType('emplacement', 'hiddenstatic');
  $form->setType('observation', 'textarea');
  $form->setType('datedossier','date2');
  $form->setType('fichier','upload2');
  $form->setType('archive_fichier','hiddenstatic');
  if($maj==0){ // ajout
      $form->setType('emplacement', 'hiddenstatic');
      $form->setType('typedossier','select');
  }else{  // maj
      $form->setType('emplacement', 'hiddenstatic');
      $form->setType('typedossier','hiddenstatic');
      // version 1.11
      // pas de modification possible du nom de fichier
      include ("../dyn/var.inc");
      if(!isset($dossierparcentaine)) $dossierparcentaine =0;
      if($dossierparcentaine==1) {//
          $form->setType('fichier','voir2');
      }
  }
}else{ // supprimer
     $form->setType('emplacement', 'hiddenstatic');
     $form->setType('dossier','hiddenstatic');
     $form->setType('archive_fichier','hiddenstatic');
}}

function setSelect(&$form, $maj,$db,$debug) {
if($maj<2){
    $contenu=array();
    $contenu[0]=array('dossier','photo');
    $contenu[1]=array('dossier','photo');
    $form->setSelect("typedossier",$contenu);
}}

function setTaille(&$form,$maj){
$form->setTaille('dossier', 8);
$form->setTaille('observation', 70);
$form->setTaille('datedossier', 12);
}

function setMax(&$form,$maj){
$form->setMax('dossier',8 );
$form->setMax('emplacement',8 );
$form->setMax('observation',5);
$form->setMax('fichier',40 );
}

function setLib(&$form, $maj) {
parent :: setLib($form,$maj);
$form->setLib('archive_fichier',"");
}

// specific
function setValsousformulaire(&$form,$maj,$validation,$idxformulaire,$retourformulaire,$typeformulaire){
if ($validation==0) {
  if ($maj == 0){
    $form->setVal('emplacement', $idxformulaire);
}}
}



function setOnchange(&$form,$maj){
$form->setOnchange("datedossier","fdate(this)");
}

function triggerajouterapres($id,&$db,$val,$DEBUG) {
    $f="&nbsp!&nbsp;&nbsp;&nbsp;&nbsp;";
    $imgv="<img src='../img/punaise.png' style='vertical-align:middle' hspace='2' border='0'>";
    // analyse fichier source
    $fic=explode(".", $this->valF["fichier"]);
    $extension=$fic[sizeof($fic)-1];
    $fichier ="../trs/".$_SESSION['coll']."/".$this->valF["fichier"];
    // test existence du fichier objet
    if( $this->valF['typedossier'] == 'dossier')
        $nom="d_".$this->valF['emplacement'];
    else
        $nom="p_".$this->valF['emplacement'];
    $x=0;
    $k=0;
    $nomk=$nom ;
    // repertoire collectivite
    $rep ="../trs/".$_SESSION['coll']."/";
    if(!file_exists($rep))  // creation du repertoire collectivite
         mkdir($rep);
    // ===================================================
    // version 1.11
    // repertoire par centaine
    // voir variable dans dyn/var.inc
    // ===================================================
    include ("../dyn/var.inc");
    if(!isset($dossierparcentaine)) $dossierparcentaine =0;
    if($dossierparcentaine==1){
          $temp = intval($val['emplacement']/100);
          $temp = $temp."/";
          $rep =$rep.$temp;
          if(!file_exists($rep))  // repertoire par centaine de concession
                mkdir($rep);
    }
    while ($x==0):
        $fichierobjet=$rep.$nomk.".".$extension;
        $k++ ;
        if(file_exists($fichierobjet)){
            $nomk=$nom."_".$k;
        }else
            $x=1;
    endwhile ;
    $valF['fichier']= $nomk.".".$extension;
    // *** 1.11
    if($dossierparcentaine==1){
        copy($fichier,$rep.$valF['fichier']);
        unlink($fichier);
        $valF['fichier']=$temp.$valF['fichier']; // extension
    }else
        rename($fichier,$rep.$valF['fichier']);  //
    // changer le champ "fichier"
    $cle= "dossier = ".$this->valF['dossier']."";
    $res= $db->autoExecute($this->table,$valF,DB_AUTOQUERY_UPDATE,$cle);
    if (DB :: isError($res))
        $res->getDebugInfo();
    else{
      if ($DEBUG == 1)
        echo "La requte de mise  jour est effectue.<br>";
      $this->msg=$this->msg.$imgv.$this->lang("enregistrement")." ".
      $id." ".$this->lang("table")." ".
      $this->table." [".$db->affectedRows().
      $this->lang("enregistrement")." ".$this->lang("mis_a_jour")."]" .$f.
      $imgv.$this->lang("creation")." ".$this->lang("fichier")." ".$valF['fichier'].$f ;
    } // requete maj
}

function triggermodifierapres($id,&$db,$val,$DEBUG) {
$f="&nbsp!&nbsp;&nbsp;&nbsp;&nbsp;";
$imgv="<img src='../img/punaise.png' style='vertical-align:middle' hspace='2' border='0'>";
include ("../dyn/var.inc");
if(!isset($dossierparcentaine)) $dossierparcentaine =0;
if($dossierparcentaine==1){
    $modification=1;
    if(!file_exists("../trs/".$_SESSION['coll']."/".$val["archive_fichier"]))
    {
         $this->msg=$this->msg."<br> fichier archive inexistant "."../trs/".
         $_SESSION['coll']."/".$val["archive_fichier"];
         $modification=0;
    }
    if($val["archive_fichier"]==$val["fichier"])
    {
         $this->msg=$this->msg."<br>pas de changement de fichier";
         $modification=0;
    }
    if ($val["fichier"]=="")
    {
         $this->msg=$this->msg."<br>nom de fichier non renseigne";
         $modification=0;
    }
    // analyse fichier source
    if ($modification==1){
       // destruction du fichier
        if(file_exists("../trs/".$_SESSION['coll']."/".$val["archive_fichier"])){
         unlink("../trs/".$_SESSION['coll']."/".$val["archive_fichier"]);
         $this->msg=$this->msg.$imgv.$this->lang("destruction")." ".
         $this->lang("fichier")." ../trs/".
         $_SESSION['coll']."/".$val['archive_fichier'].$f ;
       }
       // creation nouveau fichier
       $fic=explode(".", $this->valF["fichier"]);
       $extension=$fic[sizeof($fic)-1];
       $fichier ="../trs/".$_SESSION['coll']."/".$this->valF["fichier"];
       // test existence du fichier objet
       if( $this->valF['typedossier'] == 'dossier')
           $nom="d_".$this->valF['emplacement'];
       else
           $nom="p_".$this->valF['emplacement'];
       $x=0;
       $k=0;
       $nomk=$nom ;
       while ($x==0):
           $fichierobjet="../trs/".$_SESSION['coll']."/".$nomk.".".$extension;
           $k++ ;
           if(file_exists($fichierobjet)){
              $nomk=$nom."_".$k;
           }else
              $x=1;
        endwhile ;
        $valF['fichier']= $nomk.".".$extension;
        rename($fichier,"../trs/".$_SESSION['coll']."/".$valF['fichier']);
        // changer le champ "fichier"
        $cle= "dossier = ".$this->valF['dossier']."";
        $res= $db->autoExecute($this->table,$valF,DB_AUTOQUERY_UPDATE,$cle);
        if (DB :: isError($res))
               $res->getDebugInfo();
        else{
           if ($DEBUG == 1)
              echo "La requte de mise  jour est effectue.<br>";
           $this->msg=$this->msg.$imgv.$this->lang("enregistrement")." ".
           $id." ".$this->lang("table").
           $this->table." [".$db->affectedRows()." ".
           $this->lang("enregistrement")." ".$this->lang("mis_a_jour")."] ".
           $this->lang("creation")." ".$this->lang("fichier")." ../trs/".
            $_SESSION['coll']."/".$valF['fichier'] ;;
        } // requete maj
    }
}else
     $this->msg=$this->msg.$this->lang("interdit_changer_fichier");
}

function triggersupprimerapres($id,&$db,$val,$DEBUG) {
    $f="&nbsp!&nbsp;&nbsp;&nbsp;&nbsp;";
    $imgv="<img src='../img/punaise.png' style='vertical-align:middle' hspace='2' border='0'>";
    // repertoire collectivite
    $rep ="../trs/".$_SESSION['coll']."/";
    if(file_exists($rep.$val["archive_fichier"])){
         unlink($rep.$val["archive_fichier"]);
         $this->msg=$this->msg.$imgv.$this->lang("destruction")." ".$this->lang("fichier")." ".
         $rep.$val['archive_fichier'].$f ;
    }else{
         $this->msg=$this->msg.$imgv.$this->lang("fichier")." ".
         $this->lang("inexistant")." ".$rep.
         $val["archive_fichier"].$f;
    }
}

}// fin de classe
?>